Part Ellipse/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "{{Docnav/pl |Okrąg |Punkt |środowisko pracy Część |IconL=Part_Circle.svg |IconR=Part_Point.svg |IconC=Workbench_Part.svg }}")
(Created page with "{{GuiCommand/pl |Name=Part Ellipse |Name/pl=Część Elipsoida |MenuLocation=Część → Utwórz geometrie pierwotne ... → Elipsa |Workbenches=Część, OpenSCAD |SeeAlso=Utwórz geometrię pierwotną }}")
Line 10: Line 10:
}}
}}


{{GuiCommand
{{GuiCommand/pl
|Name=Part Ellipse
|Name=Part Ellipse
|Name/pl=Część Elipsoida
|MenuLocation=Part → [[Part_Primitives|Create primitives]] → Ellipse
|MenuLocation=Część → Utwórz geometrie pierwotne ... → Elipsa
|Workbenches=[[Part_Workbench|Part]], [[OpenSCAD_Workbench|OpenSCAD]]
|Workbenches=[[Part_Workbench/pl|Część]], [[OpenSCAD_Workbench/pl|OpenSCAD]]
|SeeAlso=[[Part_Primitives|Part Primitives]]
|SeeAlso=[[Part_Primitives/pl|Utwórz geometrię pierwotną]]
}}
}}



Revision as of 05:49, 24 June 2023

Część Elipsoida

Lokalizacja w menu
Część → Utwórz geometrie pierwotne ... → Elipsa
Środowisko pracy
Część, OpenSCAD
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
Utwórz geometrię pierwotną

Description

A Part Ellipse is a parametric shape that can be created with the Part Primitives command. In the coordinate system defined by its DANEPlacement property, the ellipse lies on the XY plane with its center at the origin. Its mayor axis is parallel to the X axis.

A Part Ellipse is in fact a closed counterclockwise elliptical arc, it can be turned into an arc by changing its DANEAngle1 and/or DANEAngle2 properties.

Usage

See Part Primitives.

Example

Part Ellipse from the scripting example

A Part Ellipse object created with the scripting example below is shown here.

Properties

See also: Property editor.

A Part Ellipse object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Base

  • DANEMajorRadius (Length): The major radius of the ellipse or elliptical arc. The default is 4mm.
  • DANEMinorRadius (Length): The minor radius of the ellipse or elliptical arc. The default is 2mm.
  • DANEAngle1 (Angle): The start angle of the elliptical arc. Valid range: 0° < value <= 360°. The default is .
  • DANEAngle2 (Angle): The end angle of the elliptical arc. Valid range: 0° < value <= 360°. The default is 360°. If DANEAngle1 and DANEAngle2 are equal, or if one angle is and the other 360°, a full ellipse is created.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Ellipse can be created with the addObject() method of the document:

ellipse = FreeCAD.ActiveDocument.addObject("Part::Ellipse", "myEllipse")
  • Where "myEllipse" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

ellipse = doc.addObject("Part::Ellipse", "myEllipse")
ellipse.MajorRadius = 20
ellipse.MinorRadius = 10
ellipse.Angle1 = 45
ellipse.Angle2 = 135
ellipse.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))

doc.recompute()